/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.cosmos.rm.smlif.internal.actions;

import org.eclipse.core.resources.IResource;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;

public class ExportToSMLIFWizard extends Wizard {
	
	private static final String WIZARD_TITLE = "Export to SML-IF"; //$NON-NLS-1$
	private static final String PROJECT_INSTRUCTION = "Create an SML-IF file from the SML files available in the selected project."; //$NON-NLS-1$
	private static final String FOLDER_INSTRUCTION = "Create an SML-IF file from the SML files available in the selected folder."; //$NON-NLS-1$
	private static final String FILE_INSTRUCTION = "Create an SML-IF file from the selected SML file(s)."; //$NON-NLS-1$
	protected ExportToSMLIFWizardPage mainPage;
	protected IStructuredSelection selection;

	public ExportToSMLIFWizard(IStructuredSelection sel) {
		super();
		
		selection = sel;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	public boolean performFinish() {
		/*
		if (((IResource) selection.getFirstElement()).getType() == IResource.FILE) {
			return mainPage.createSMLIFFileFromModelUnits();
		}
		*/
		return mainPage.createSMLIFFile();
	}
	 
	/* (non-Javadoc)
     * @see org.eclipse.jface.wizard.IWizard#addPages()
     */
    public void addPages() {
        super.addPages(); 
        
        IResource resource = (IResource) selection.getFirstElement();
        String description = "";
        switch (resource.getType()) {
		case IResource.FILE:
			description = FILE_INSTRUCTION;
			break;
		case IResource.FOLDER:
			description = FOLDER_INSTRUCTION;
			break;
		case IResource.PROJECT:
			description = PROJECT_INSTRUCTION;
			break;
		default:
			break;
		}
		mainPage = new ExportToSMLIFWizardPage(WIZARD_TITLE, selection); //NON-NLS-1
		mainPage.setDescription(description);
        
        addPage(mainPage);        
    }

}
