/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.cosmos.rm.smlif.internal.actions;

import org.eclipse.cosmos.rm.smlif.internal.common.SMLMessages;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.IImportWizard;
import org.eclipse.ui.IWorkbench;

public class ImportFromSMLIFWizard extends Wizard implements IImportWizard {
	
	protected ImportFromSMLIFWizardPage mainPage;
	protected IStructuredSelection selection = null;

	public ImportFromSMLIFWizard() {
		super();
		// TODO Auto-generated constructor stub
	}

	public ImportFromSMLIFWizard(IStructuredSelection sel) {
		super();
		
		selection = sel;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	public boolean performFinish() {
		/*
		if (((IResource) selection.getFirstElement()).getType() == IResource.FILE) {
			return mainPage.createSMLIFFileFromModelUnits();
		}
		*/
		return mainPage.createModel();
	}
	 
	/* (non-Javadoc)
     * @see org.eclipse.jface.wizard.IWizard#addPages()
     */
    public void addPages() {
        super.addPages();
        
        System.out.println("addPages 1");
		mainPage = new ImportFromSMLIFWizardPage(SMLMessages.importFromSMLIFWizardPageTitle, selection); //NON-NLS-1
        System.out.println("addPages 2");
		mainPage.setDescription(SMLMessages.importFromSMLIFWizardFileInstruction);
        System.out.println("addPages 3");
        
        addPage(mainPage);
        System.out.println("shell = "+getShell());
        
        setWindowTitle(SMLMessages.importFromSMLIFWizardTitle);
        //getShell().setText(SMLMessages.importFromSMLIFWizardTitle);
    }

	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.selection = selection;
	}

}
