package org.eclipse.cosmos.rm.validation.internal.databuilders;

import java.util.Iterator;

import junit.framework.Test;

import org.eclipse.cosmos.rm.validation.internal.artifacts.TypeNode;
import org.eclipse.cosmos.rm.validation.internal.common.UtilityTester;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

/**
 * Generated code for the test suite <b>TestAcyclicDataTypesList</b> located at
 * <i>/org.eclipse.cosmos.rm.validation.tests/src/org/eclipse/cosmos/rm/validation/internal/databuilders/TestAcyclicDataTypesList.testsuite</i>.
 */
public class TestAcyclicDataTypesList extends HyadesTestCase
{
	/**
	 * Constructor for TestAcyclicDataTypesList.
	 * @param name
	 */
	public TestAcyclicDataTypesList(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>TestAcyclicDataTypesList</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite testAcyclicDataTypesList = new HyadesTestSuite("TestAcyclicDataTypesList");
		testAcyclicDataTypesList.setArbiter(DefaultTestArbiter.INSTANCE).setId("E591F6CBDF3B324E460A14E07B4411DB");
		testAcyclicDataTypesList.addTest(new TestAcyclicDataTypesList("testAcyclicTypeList").setId("EE37FE5993F167C80D7D11007B4D11DB").setTestInvocationId("EE37FE5993F167C89F2F31507B4D11DB"));
		return testAcyclicDataTypesList;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

	/**
	 * testAcyclicTypeList
	 * @throws Exception
	 */
	public void testAcyclicTypeList() throws Exception
	{
		final String RESOURCE = "test-resources/acyclic/InValidCycles.xml";
		final String EXPECTED_REF_TYPE = "OptionalCourseRefType";
		final String EXPECTED_REF_URI = "urn:university";
		
		AcyclicDataTypesList acyclicDataTypeList = new AcyclicDataTypesList();
		UtilityTester.parseDocument(this.getClass().getClassLoader().getResourceAsStream(RESOURCE), acyclicDataTypeList);
		Iterator list = (Iterator)acyclicDataTypeList.getDataStructure(); 
		
		assertTrue("The list wasn't expected to be empty", list.hasNext());
		TypeNode typeNode = (TypeNode)list.next();
		assertEquals("The type of the reference is incorrect", EXPECTED_REF_TYPE, typeNode.getType());
		assertEquals("The namespace uri of the reference is incorrect", EXPECTED_REF_URI, typeNode.getUri());
		assertFalse("The list was expected to be empty", list.hasNext());
	}

}
