/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.databuilders;

import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;


/**
 * This builder will build a datastructure that will contian all complex type
 * 
 * @author sleeloy
 * @author Ali Mehregani
 */
public class ComplexTypeElementBuilder extends AbstractPropertyExtractor
{
	/**
	 * The ID of this builder
	 */
	public static final String ID = SMLActivator.PLUGIN_ID + ".ComplexTypeElementBuilder";

    public ComplexTypeElementBuilder()
    {
    	super(ISMLConstants.GENICS_PHASE, ISMLConstants.COMPLEXTYPE_ELEMENT, null, new String[]{ISMLConstants.NAME_ATTRIBUTE, null});
    }

    /**
     * @see org.eclipse.cosmos.rm.validation.internal.databuilders.AbstractPropertyExtractor#getDataStructure()
     */
    public Object getDataStructure()
    {    	
    	return super.getMapDataStructure();
    }
 
}
