package org.eclipse.cosmos.rm.validation.internal.databuilders;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.eclipse.cosmos.rm.validation.internal.artifacts.ElementNode;
import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
/**
 * This builder will build a datastructure that will contian all elements with 
 * element tag name
 * @author sleeloy
 *
 */
public class XSElementBuilder extends AbstractDataBuilder implements IDataBuilder {

	public static final String ID = SMLActivator.PLUGIN_ID + ".XSElementBuilder";
    Map typeElements = new HashMap();

	public Object getDataStructure() {
		return typeElements;
	}

	public void startElement(String uri, String localName, String qName,
			Attributes attributes) throws SAXException {
		if (localName.equals(ISMLConstants.ELEMENT_ELEMENT)){
			String name = attributes.getValue(ISMLConstants.NAME_ATTRIBUTE);
			if (name != null){
				ElementNode elemNode = new ElementNode(name, locator.getLineNumber(), locator.getColumnNumber());
				elemNode.setType(attributes.getValue(ISMLConstants.TYPE_ATTRIBUTE));
				typeElements.put(name, elemNode);
			}
		}


	}
	public byte getPhase() {
		return ISMLConstants.GENICS_PHASE;
	}

}
